- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Static Public Member Functions | Data Fields
timer Struct Reference

Internal timer object. More...

`#include <timing.h>`

## Static Public Member Functions
static AFAPI timer | start ()
static AFAPI double | stop ()
static AFAPI double | stop (timer start)

## Data Fields
struct timeval | val

## Detailed Description

Internal timer object.

Examples:
  brain_segmentation.cpp, conway_pretty.cpp, and optical_flow.cpp.

## Member Function Documentation

static AFAPI timer start | ( |  | ) |
| static

Examples:
  bagging.cpp, black_scholes_options.cpp, brain_segmentation.cpp, conway_pretty.cpp, deep_belief_net.cpp, knn.cpp, logistic_regression.cpp, monte_carlo_options.cpp, naive_bayes.cpp, optical_flow.cpp, perceptron.cpp, and softmax_regression.cpp.

static AFAPI double stop | ( |  | ) |
| static

Examples:
  bagging.cpp, black_scholes_options.cpp, conway_pretty.cpp, deep_belief_net.cpp, knn.cpp, logistic_regression.cpp, monte_carlo_options.cpp, naive_bayes.cpp, optical_flow.cpp, perceptron.cpp, and softmax_regression.cpp.

static AFAPI double stop | ( | timer | start | ) |
| static

## Field Documentation

struct timeval val

The documentation for this struct was generated from the following file:

- timing.h